<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.ss.usermodel.DataValidation (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.ss.usermodel.DataValidation (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/DataValidation.html"
               target="_top">Frames</a></li>
        <li><a href="DataValidation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.ss.usermodel.DataValidation" class="title">Uses of Interface<br>org.apache.poi.ss.usermodel.DataValidation
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                        title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                   title="interface in org.apache.poi.ss.usermodel">DataValidation</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidation.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFDataValidation</a></span></code>
                                <div class="block">Utility class for creating data validation cells</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createValidation-org.apache.poi.ss.usermodel.DataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-">createValidation</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;constraint,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;cellRangeAddressList)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#addValidationData-org.apache.poi.ss.usermodel.DataValidation-">addValidationData</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a>&nbsp;dataValidation)</code>
                                <div class="block">Creates a data validation object</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                   title="interface in org.apache.poi.ss.usermodel">DataValidation</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationEvaluator.DataValidationContext.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.DataValidationContext.html#getValidation--">getValidation</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.html#getValidationForCell-org.apache.poi.ss.util.CellReference-">getValidationForCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                    title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell)</code>
                                <div class="block">Finds and returns the <a
                                        href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                        title="interface in org.apache.poi.ss.usermodel"><code>DataValidation</code></a>
                                    for the cell, if there is
                                    one.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.DataValidationContext.html#DataValidationContext-org.apache.poi.ss.usermodel.DataValidation-org.apache.poi.ss.formula.DataValidationEvaluator-org.apache.poi.ss.util.CellRangeAddressBase-org.apache.poi.ss.util.CellReference-">DataValidationContext</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a>&nbsp;dv,
                                <a href="../../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.html"
                                   title="class in org.apache.poi.ss.formula">DataValidationEvaluator</a>&nbsp;dve,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;target)</code>
                                <div class="block">Populate the context with the necessary values.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                   title="interface in org.apache.poi.ss.usermodel">DataValidation</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createValidation-org.apache.poi.ss.usermodel.DataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-">createValidation</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;constraint,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;cellRangeAddressList)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;? extends <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">Sheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html#getDataValidations--">getDataValidations</a></span>()</code>
                                <div class="block">Returns the list of DataValidation in the sheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Sheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html#addValidationData-org.apache.poi.ss.usermodel.DataValidation-">addValidationData</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a>&nbsp;dataValidation)</code>
                                <div class="block">Creates a data validation object</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.streaming">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                   title="interface in org.apache.poi.ss.usermodel">DataValidation</a> in <a
                            href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFSheet.html#addValidationData-org.apache.poi.ss.usermodel.DataValidation-">addValidationData</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a>&nbsp;dataValidation)</code>
                                <div class="block">Creates a data validation object</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                   title="interface in org.apache.poi.ss.usermodel">DataValidation</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFDataValidation</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createValidation-org.apache.poi.ss.usermodel.DataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-">createValidation</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;constraint,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;cellRangeAddressList)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#addValidationData-org.apache.poi.ss.usermodel.DataValidation-">addValidationData</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a>&nbsp;dataValidation)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/DataValidation.html"
               target="_top">Frames</a></li>
        <li><a href="DataValidation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
